%define name hal-info
%define version 0.0
%define distversion 20070725
%define release %mkrel 5.%distversion.3

Summary: Device information for HAL
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://hal.freedesktop.org/releases/%{name}-%{distversion}.tar.gz
Source1: 10-camera-storage.fdi
Source2: hal-setup-keymap-keys.txt
# (fc) update to latest git (git diff HAL_INFO_snapshot..master)
Patch0: hal-info-20070725-git.patch
# (fc) 0.0-4.20070425.1mdv re-add untested quirks (git diff master..mandriva
Patch1: hal-info-20070725-untestedquirks.patch
# (fc) 0.0-5.20070725.1mdv enable intel X.org driver v1.0 specific quirks (only for Mdv 2007.1) (git diff mandriva..mdv2007.1)
Patch2: hal-info-20070725-intelquirks.patch
# (fc) 0.0-5.20070725.2mdv add patches pending merge (git diff master..pending)
Patch3: hal-info-20070725-pending.patch
License: GPL
Group: System/Kernel and hardware
Url: http://www.freedesktop.org/Software/hal
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Conflicts: hal < 0.5.8.1-10mdv2007.1
BuildRequires: hal-devel
#needed for make check
BuildRequires: libxml2-utils

%description
hal-info contains device information for HAL.

%prep
%setup -q -n %{name}-%{distversion}
%patch0 -p1 -b .git
%patch1 -p1 -b .untestedquirks
%if %mdkversion < 200800
%patch2 -p1 -b .intelquirks
%endif
%patch3 -p1 -b .pending

#install missing file
cp %{SOURCE2} tools/

%build

%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std
install %{SOURCE1} %{buildroot}%{_datadir}/hal/fdi/information/10freedesktop/10-camera-storage.fdi

cat << EOF > $RPM_BUILD_ROOT%{_datadir}/hal/fdi/preprobe/10osvendor/10-usb-disable-mediacheck.fdi
<?xml version="1.0" encoding="ISO-8859-1"?> <!-- -*- SGML -*- -->

<deviceinfo version="0.2">
  <device>
    <match key="storage.bus" string="usb">
      <match key="@storage.physical_device:usb.vendor_id" int="0x67b">
        <match key="@storage.physical_device:usb.product_id" int="0x2317">
          <merge key="storage.media_detection_enabled" type="bool">false</merge>
        </match>
      </match>
      <match key="@storage.physical_device:usb.vendor_id" int="0x054c">
        <match key="@storage.physical_device:usb.product_id" int="0x008b">
          <merge key="storage.media_detection_enabled" type="bool">false</merge>
        </match>
      </match>
    </match>
  </device>
</deviceinfo>
EOF

%check
make check

%clean
rm -rf %{buildroot}

%postun
if [ "$1" = "1" -a -r /etc/init.d/haldaemon ]; then 
 service haldaemon condrestart > /dev/null 2>/dev/null
fi

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README
%{_datadir}/hal/fdi/information
%{_datadir}/hal/fdi/preprobe




%changelog
* Wed Aug 22 2007 Frederic Crozat <fcrozat@mandriva.com> 0.0-5.20070725.3mdv2007.1
+ Revision: 69024
- Update patches 0, 1, 2, 3 with latest git snapshot : add more laptops quirks and fix Mdv bug #32743)
- add make check to ensure we don't ship unoticed broken fdi files in the future
- add hal internal keymap list to get make check running

* Thu Aug 09 2007 Frederic Crozat <fcrozat@mandriva.com> 0.0-5.20070725.2mdv2008.0
+ Revision: 60844
- Patch3: add quirks pending merge

* Wed Aug 08 2007 Frederic Crozat <fcrozat@mandriva.com> 0.0-5.20070725.1mdv2008.0
+ Revision: 60450
- Release 20070725
- Regenerate patch1, part was merged upstream
- Patch0: update to latest git changes
- Patch2: enable quirks for intel xorg driver 1.x (only when building for Mandriva 2007.1)

* Mon Jun 25 2007 Olivier Blin <oblin@mandriva.com> 0.0-5.20070425.1mdv2008.0
+ Revision: 44113
- add quirks for Elonex M5A (from Arnaud Patard)

* Thu May 10 2007 Frederic Crozat <fcrozat@mandriva.com> 0.0-4.20070425.1mdv2008.0
+ Revision: 26113
- new release (20070425)
- Remove all patches, merged in either patch 0 or 1
- Patch0: update to latest GIT snapshot (20070510)
- Patch1: re-add untested quirks removed from upstream and add
 tested quirks (T42/2668, nc4200, nc6120), pending merge


* Tue Mar 27 2007 Frederic Crozat <fcrozat@mandriva.com> 0.0-4.20070326.2mdv2007.1
+ Revision: 149001
- Patch5: disable vbestate_restore when not needed
- Patch6: remove duplicated entries
- Restart haldaemon if running after package upgrade is finished

* Tue Mar 27 2007 Frederic Crozat <fcrozat@mandriva.com> 0.0-4.20070326.1mdv2007.1
+ Revision: 148861
- Updated snapshot (20070326)
- Remove patch3, merged upstream

* Fri Mar 09 2007 Olivier Blin <oblin@mandriva.com> 0.0-4.20070302.3mdv2007.1
+ Revision: 138615
- use vbe_post quirk on Maxdata Pro 6100X (to fix ghost cursor after resume from S3)

* Tue Mar 06 2007 Frederic Crozat <fcrozat@mandriva.com> 0.0-4.20070302.2mdv2007.1
+ Revision: 133959
- Add missing directories in package

* Fri Mar 02 2007 Frederic Crozat <fcrozat@mandriva.com> 0.0-4.20070302.1mdv2007.1
+ Revision: 131583
-New git snapshot (20070302)
-Patch3 : fix vbe_save key to correct one
-add usb-disable-media-check fdi from hal package
-regenerate patches 0 and 1
-package preprobe information fdi

* Wed Jan 17 2007 Olivier Blin <oblin@mandriva.com> 0.0-4mdv2007.1
+ Revision: 110044
- move camera storage information file in its own source
- add Z61m video quirks (settings from Frederic Crozat)
- add D420 video quirks (settings from Arnaud Patard)

* Tue Jan 09 2007 Olivier Blin <oblin@mandriva.com> 0.0-3mdv2007.1
+ Revision: 106352
- fix hal conflicts version

* Mon Jan 08 2007 Olivier Blin <oblin@mandriva.com> 0.0-2mdv2007.1
+ Revision: 106202
- move hal information scripts to hal-info

* Sun Jan 07 2007 Olivier Blin <oblin@mandriva.com> 0.0-1mdv2007.1
+ Revision: 105374
- initial hal-info release
- Create hal-info

